<?php
namespace PHPMaker2020\project2;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$comentario_edit = new comentario_edit();

// Run the page
$comentario_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$comentario_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fcomentarioedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	fcomentarioedit = currentForm = new ew.Form("fcomentarioedit", "edit");

	// Validate form
	fcomentarioedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($comentario_edit->id_comentario->Required) { ?>
				elm = this.getElements("x" + infix + "_id_comentario");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $comentario_edit->id_comentario->caption(), $comentario_edit->id_comentario->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($comentario_edit->id_detallecuota->Required) { ?>
				elm = this.getElements("x" + infix + "_id_detallecuota");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $comentario_edit->id_detallecuota->caption(), $comentario_edit->id_detallecuota->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_id_detallecuota");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($comentario_edit->id_detallecuota->errorMessage()) ?>");
			<?php if ($comentario_edit->descripcion->Required) { ?>
				elm = this.getElements("x" + infix + "_descripcion");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $comentario_edit->descripcion->caption(), $comentario_edit->descripcion->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($comentario_edit->estado->Required) { ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $comentario_edit->estado->caption(), $comentario_edit->estado->RequiredErrorMessage)) ?>");
			<?php } ?>
				elm = this.getElements("x" + infix + "_estado");
				if (elm && !ew.checkInteger(elm.value))
					return this.onError(elm, "<?php echo JsEncode($comentario_edit->estado->errorMessage()) ?>");

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fcomentarioedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fcomentarioedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	loadjs.done("fcomentarioedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $comentario_edit->showPageHeader(); ?>
<?php
$comentario_edit->showMessage();
?>
<form name="fcomentarioedit" id="fcomentarioedit" class="<?php echo $comentario_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="comentario">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$comentario_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($comentario_edit->id_comentario->Visible) { // id_comentario ?>
	<div id="r_id_comentario" class="form-group row">
		<label id="elh_comentario_id_comentario" class="<?php echo $comentario_edit->LeftColumnClass ?>"><?php echo $comentario_edit->id_comentario->caption() ?><?php echo $comentario_edit->id_comentario->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $comentario_edit->RightColumnClass ?>"><div <?php echo $comentario_edit->id_comentario->cellAttributes() ?>>
<span id="el_comentario_id_comentario">
<span<?php echo $comentario_edit->id_comentario->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($comentario_edit->id_comentario->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="comentario" data-field="x_id_comentario" name="x_id_comentario" id="x_id_comentario" value="<?php echo HtmlEncode($comentario_edit->id_comentario->CurrentValue) ?>">
<?php echo $comentario_edit->id_comentario->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($comentario_edit->id_detallecuota->Visible) { // id_detallecuota ?>
	<div id="r_id_detallecuota" class="form-group row">
		<label id="elh_comentario_id_detallecuota" for="x_id_detallecuota" class="<?php echo $comentario_edit->LeftColumnClass ?>"><?php echo $comentario_edit->id_detallecuota->caption() ?><?php echo $comentario_edit->id_detallecuota->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $comentario_edit->RightColumnClass ?>"><div <?php echo $comentario_edit->id_detallecuota->cellAttributes() ?>>
<span id="el_comentario_id_detallecuota">
<input type="text" data-table="comentario" data-field="x_id_detallecuota" name="x_id_detallecuota" id="x_id_detallecuota" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($comentario_edit->id_detallecuota->getPlaceHolder()) ?>" value="<?php echo $comentario_edit->id_detallecuota->EditValue ?>"<?php echo $comentario_edit->id_detallecuota->editAttributes() ?>>
</span>
<?php echo $comentario_edit->id_detallecuota->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($comentario_edit->descripcion->Visible) { // descripcion ?>
	<div id="r_descripcion" class="form-group row">
		<label id="elh_comentario_descripcion" for="x_descripcion" class="<?php echo $comentario_edit->LeftColumnClass ?>"><?php echo $comentario_edit->descripcion->caption() ?><?php echo $comentario_edit->descripcion->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $comentario_edit->RightColumnClass ?>"><div <?php echo $comentario_edit->descripcion->cellAttributes() ?>>
<span id="el_comentario_descripcion">
<textarea data-table="comentario" data-field="x_descripcion" name="x_descripcion" id="x_descripcion" cols="35" rows="4" placeholder="<?php echo HtmlEncode($comentario_edit->descripcion->getPlaceHolder()) ?>"<?php echo $comentario_edit->descripcion->editAttributes() ?>><?php echo $comentario_edit->descripcion->EditValue ?></textarea>
</span>
<?php echo $comentario_edit->descripcion->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($comentario_edit->estado->Visible) { // estado ?>
	<div id="r_estado" class="form-group row">
		<label id="elh_comentario_estado" for="x_estado" class="<?php echo $comentario_edit->LeftColumnClass ?>"><?php echo $comentario_edit->estado->caption() ?><?php echo $comentario_edit->estado->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $comentario_edit->RightColumnClass ?>"><div <?php echo $comentario_edit->estado->cellAttributes() ?>>
<span id="el_comentario_estado">
<input type="text" data-table="comentario" data-field="x_estado" name="x_estado" id="x_estado" size="30" maxlength="11" placeholder="<?php echo HtmlEncode($comentario_edit->estado->getPlaceHolder()) ?>" value="<?php echo $comentario_edit->estado->EditValue ?>"<?php echo $comentario_edit->estado->editAttributes() ?>>
</span>
<?php echo $comentario_edit->estado->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$comentario_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $comentario_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $comentario_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$comentario_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$comentario_edit->terminate();
?>